|  | Home · All Classes · Modules

# QPixmapCache.Key Class Reference
[QtGui module]

The QPixmapCache.Key class can be used for efficient access to the QPixmapCache. More...

### Methods

- __init__ (self)
- __init__ (self, Key)

### Special Methods

- bool __eq__ (self, Key)
- bool __ne__ (self, Key)

## Detailed Description

The QPixmapCache.Key class can be used for efficient access to the QPixmapCache.

Use QPixmapCache.insert() to receive an instance of Key generated by the pixmap cache. You can store the key in your own objects for a very efficient one-to-one object-to-pixmap mapping.

## Method Documentation

### Key.__init__ (self)

### Key.__init__ (self, Key)

### bool Key.__eq__ (self, Key)

### bool Key.__ne__ (self, Key)